# Uses of Enum
com.databricks.jdbc.common.DatabricksJdbcUrlParams

Packages that use DatabricksJdbcUrlParams
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.internal
com.databricks.jdbc.common

## Uses of DatabricksJdbcUrlParams in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl with parameters of type DatabricksJdbcUrlParams
Modifier and Type
Method
Description
`boolean`
DatabricksConnectionContext.`isPropertyPresent(DatabricksJdbcUrlParams urlParam)`

## Uses of DatabricksJdbcUrlParams in com.databricks.jdbc.api.internal

Methods in com.databricks.jdbc.api.internal with parameters of type DatabricksJdbcUrlParams
Modifier and Type
Method
Description
`boolean`
IDatabricksConnectionContext.`isPropertyPresent(DatabricksJdbcUrlParams urlParam)`

## Uses of DatabricksJdbcUrlParams in com.databricks.jdbc.common

Subclasses with type arguments of type DatabricksJdbcUrlParams in com.databricks.jdbc.common
Modifier and Type
Class
Description
`enum`
`DatabricksJdbcUrlParams`
Enum to hold all the Databricks JDBC URL parameters.
Methods in com.databricks.jdbc.common that return DatabricksJdbcUrlParams
Modifier and Type
Method
Description
`static DatabricksJdbcUrlParams`
DatabricksJdbcUrlParams.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DatabricksJdbcUrlParams[]`
DatabricksJdbcUrlParams.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.common with parameters of type DatabricksJdbcUrlParams
Modifier and Type
Method
Description
`static DriverPropertyInfo`
DatabricksJdbcUrlParams.`getUrlParamInfo(DatabricksJdbcUrlParams param, boolean required)`